//===========================================================================
//
// Name:			fw_items.c
// Function:		does the bot want to pick this up?
// Programmer:		
// Last update:		
// Tab Size:	
// Notes:			-
//===========================================================================


//#define WEAPONS_STAY

//balance range
#define BR_ARMOR				30
#define BR_HEALTH				30
#define BR_WEAPON				30
#define BR_AMMO					30
#define BR_POWERUP				30

//balance macros
#define MZ(value)				(value) < 0 ? 0 : (value)
#define ARMOR_SCALE(v)			balance($evalfloat(MZ(FS_ARMOR*v)), $evalfloat(MZ(FS_ARMOR*v-BR_ARMOR)), $evalfloat(MZ(FS_ARMOR*v+BR_ARMOR)))
#define HEALTH_SCALE(v)			balance($evalfloat(MZ(FS_HEALTH*v)), $evalfloat(MZ(FS_HEALTH*v-BR_HEALTH)), $evalfloat(MZ(FS_HEALTH*v+BR_HEALTH)))
#define WEAPON_SCALE(v)			balance($evalfloat(MZ(v)), $evalfloat(MZ(v-BR_WEAPON)), $evalfloat(MZ(v+BR_WEAPON)))
#define AMMO_SCALE(v)			balance($evalfloat(MZ(v)), $evalfloat(MZ(v-BR_AMMO)), $evalfloat(MZ(v+BR_AMMO)))
#define POWERUP_SCALE(v)		balance($evalfloat(MZ(v)), $evalfloat(MZ(v-BR_POWERUP)), $evalfloat(MZ(v+BR_POWERUP)))

//=============================================
// ARMOR
//=============================================

weight "item_armor_shard"
{
	switch(INVENTORY_ARMOR)
	{
		case 10: return ARMOR_SCALE(60);
		case 20: return ARMOR_SCALE(60);
		case 30: return ARMOR_SCALE(60);
		case 40: return ARMOR_SCALE(60);
		case 50: return ARMOR_SCALE(60);
		case 60: return ARMOR_SCALE(50);
		case 70: return ARMOR_SCALE(50);
		case 80: return ARMOR_SCALE(50);
		case 90: return ARMOR_SCALE(50);
		case 100: return ARMOR_SCALE(50);
		case 110: return ARMOR_SCALE(40);
		case 120: return ARMOR_SCALE(40);
		case 130: return ARMOR_SCALE(40);
		case 140: return ARMOR_SCALE(40);
		case 150: return ARMOR_SCALE(40);
		case 160: return ARMOR_SCALE(40);
		case 170: return ARMOR_SCALE(40);
		case 180: return ARMOR_SCALE(40);
		case 190: return ARMOR_SCALE(40);
		case 200: return ARMOR_SCALE(40);
		default: return ARMOR_SCALE(1);
	} //end switch
} //end weight

weight "item_armor_combat"
{
	switch(INVENTORY_ARMOR)
	{
		case 10: return ARMOR_SCALE(60);
		case 20: return ARMOR_SCALE(60);
		case 30: return ARMOR_SCALE(60);
		case 40: return ARMOR_SCALE(60);
		case 50: return ARMOR_SCALE(60);
		case 60: return ARMOR_SCALE(50);
		case 70: return ARMOR_SCALE(50);
		case 80: return ARMOR_SCALE(50);
		case 90: return ARMOR_SCALE(50);
		case 100: return ARMOR_SCALE(50);
		case 110: return ARMOR_SCALE(40);
		case 120: return ARMOR_SCALE(40);
		case 130: return ARMOR_SCALE(40);
		case 140: return ARMOR_SCALE(40);
		case 150: return ARMOR_SCALE(40);
		case 160: return ARMOR_SCALE(40);
		case 170: return ARMOR_SCALE(40);
		case 180: return ARMOR_SCALE(40);
		case 190: return ARMOR_SCALE(40);
		case 200: return ARMOR_SCALE(40);
		default: return ARMOR_SCALE(1);
	} //end switch
} //end weight

weight "item_armor_body"
{
	switch(INVENTORY_ARMOR)
	{
		case 10: return ARMOR_SCALE(90);
		case 20: return ARMOR_SCALE(90);
		case 30: return ARMOR_SCALE(90);
		case 40: return ARMOR_SCALE(90);
		case 50: return ARMOR_SCALE(90);
		case 60: return ARMOR_SCALE(50);
		case 70: return ARMOR_SCALE(50);
		case 80: return ARMOR_SCALE(50);
		case 90: return ARMOR_SCALE(50);
		case 100: return ARMOR_SCALE(50);
		case 110: return ARMOR_SCALE(20);
		case 120: return ARMOR_SCALE(20);
		case 130: return ARMOR_SCALE(20);
		case 140: return ARMOR_SCALE(20);
		case 150: return ARMOR_SCALE(20);
		case 160: return ARMOR_SCALE(20);
		case 170: return ARMOR_SCALE(20);
		case 180: return ARMOR_SCALE(20);
		case 190: return ARMOR_SCALE(20);
		case 200: return ARMOR_SCALE(20);
		default: return ARMOR_SCALE(1);
	} //end switch
} //end weight

//=============================================
// HEALTH
//=============================================

weight "item_hypo_small"
{
	switch(INVENTORY_HEALTH)
	{
		case 10: return HEALTH_SCALE(80);
		case 20: return HEALTH_SCALE(80);
		case 30: return HEALTH_SCALE(80);
		case 40: return HEALTH_SCALE(80);
		case 50: return HEALTH_SCALE(70);
		case 60: return HEALTH_SCALE(70);
		case 70: return HEALTH_SCALE(60);
		case 80: return HEALTH_SCALE(60);
		case 90: return HEALTH_SCALE(50);
		case 100: return HEALTH_SCALE(50);
		default: return 0;
	} //end switch
} //end weight

weight "item_hypo"
{
	switch(INVENTORY_HEALTH)
	{
		case 10: return HEALTH_SCALE(90);
		case 20: return HEALTH_SCALE(90);
		case 30: return HEALTH_SCALE(90);
		case 40: return HEALTH_SCALE(90);
		case 50: return HEALTH_SCALE(80);
		case 60: return HEALTH_SCALE(80);
		case 70: return HEALTH_SCALE(60);
		case 80: return HEALTH_SCALE(60);
		case 90: return HEALTH_SCALE(50);
		case 100: return HEALTH_SCALE(50);
		default: return 0;
	} //end switch
} //end weight

//=============================================
// WEAPONS
//=============================================

weight "weapon_grenadelauncher"
{
	switch(INVENTORY_GRENADELAUNCHER)
	{
		case 1: return WEAPON_SCALE(W_GRENADELAUNCHER);
		default:
		{
			return 1;
		} //end default
	} //end switch
} //end weight

weight "weapon_stasisweapon"
{
	switch(INVENTORY_STASIS)
	{
		case 1: return WEAPON_SCALE(W_STASIS);
		default:
		{
			return 1;
		} //end default
	} //switch
} //end weight

weight "weapon_phaser"
{
	return 0; // we should always have this!
} //end weight

weight "weapon_dreadnought"
{
	switch(INVENTORY_DREADNOUGHT)
	{
		case 1: return WEAPON_SCALE(W_DREADNOUGHT);
		default:
		{
			return 1;
		} //end default
	} //end switch
} //end weight

weight "weapon_imod"
{
	switch(INVENTORY_IMOD)
	{
		case 1: return WEAPON_SCALE(W_IMOD);
		default:
		{
			return 1;	
		} //end default
	} //end switch
} //end weight

weight "weapon_compressionrifle"
{
	switch(INVENTORY_COMPRESSION)
	{
		case 1: return WEAPON_SCALE(W_COMPRESSION);
		default:
		{
			return 1;		
		} //end default
	} //end switch
} //end weight

weight "weapon_tetriondisruptor"
{
	switch(INVENTORY_TETRION)
	{
		case 1: return WEAPON_SCALE(W_TETRION);
		default:
		{
			return 1;	
		} //end default
	} //end switch
} //end weight

weight "weapon_scavenger"
{
	switch(INVENTORY_SCAVENGER)
	{
		case 1: return WEAPON_SCALE(W_SCAVENGER);
		default:
		{
			return 1;		
		} //end default
	} //end switch
} //end weight

weight "weapon_quantumburst"
{
	switch(INVENTORY_QUANTUM)
	{
		case 1: return WEAPON_SCALE(W_QUANTUM);
		default:
		{
			return 1;
		} //end default
	} //end switch
} //end weight


//=============================================
// AMMO
//=============================================

weight "ammo_grenades"
{
	return AMMO_SCALE(20);
} //end weight

weight "ammo_scavenger"
{
	return AMMO_SCALE(20);
} //end weight


weight "ammo_quantumburst"
{
	return AMMO_SCALE(20);
} //end weight


weight "ammo_dreadnought"
{
	return AMMO_SCALE(20);
} //end weight


weight "ammo_stasis"
{
	return AMMO_SCALE(20);
} //end weight


weight "ammo_imod"
{
	return AMMO_SCALE(20);
} //end weight


weight "ammo_compressionrifle"
{
	return AMMO_SCALE(20);
} //end weight


weight "ammo_tetriondisruptor"
{
	return AMMO_SCALE(20);
} //end weight



//=============================================
// POWERUPS
//=============================================

weight "holdable_transporter"
{
	switch(INVENTORY_DETPACK)
	{
		case 1://not carrying detpack
		{
			switch(INVENTORY_MEDKIT)
			{
				case 1://not carrying medkit
				{
					switch(INVENTORY_SHIELD)
					{
						case 1://not carrying shield
						{
							switch(INVENTORY_TRANSPORTER)
							{
								case 1:
								{
									 return POWERUP_SCALE(W_TRANSPORTER);
								}
								default: return 0; //already has a transporter
							} //end switch
						}//end case
						default: return 0; //already has a shield
					} //end switch
				}//end case
				default: return 0; //already has a medkitr
			} //end switch
		} //end case
		default: return 0; //already has a detpack
	} //end switch
} //end weight

weight "holdable_medkit"
{
	switch(INVENTORY_DETPACK)
	{
		case 1://not carrying detpack
		{
			switch(INVENTORY_TRANSPORTER)
			{
				case 1://not carrying transporter
				{
					switch(INVENTORY_SHIELD)
					{
						case 1://not carrying shield
						{
							switch(INVENTORY_MEDKIT)
							{
								case 1:
								{
									 return POWERUP_SCALE(W_MEDKIT);
								}
								default: return 0; //already has a medkit
							} //end switch
						}//end case
						default: return 0; //already has a shield
					} //end switch
				}//end case
				default: return 0; //already has a personal teleporter
			} //end switch
		} //end case
		default: return 0; //already has a detpack
	} //end switch
} //end weight

weight "item_quad"
{
	return POWERUP_SCALE(W_QUAD);
} //end weight

weight "item_enviro"
{
	return POWERUP_SCALE(W_ENVIRO);
} //end weight

weight "item_haste"
{
	return POWERUP_SCALE(W_HASTE);
} //end weight

weight "item_invisibility"
{
	return POWERUP_SCALE(W_INVISIBILITY);
} //end weight

weight "item_regen"
{
	return POWERUP_SCALE(W_REGEN);
} //end weight

weight "item_flight"
{
	return 0;//POWERUP_SCALE(W_FLIGHT);
} //end weight

//=============================================
// This is only used to pickup dropped CTF
// flags now. The logic in here makes no
// sense since the bot has specific CTF AI.
//=============================================

weight "team_CTF_redflag" //Red Flag
{
	switch(INVENTORY_REDFLAG)
	{
		case 1: //not carrying the red flag
		{
			switch(INVENTORY_BLUEFLAG)
			{
				case 1: //not carrying the blue flag
				{
					return FLAG_WEIGHT;
				} //end case
				default: //bot carrying the blue flag so go back to the base
				{
					return 200;
				} //end case
			} //end switch
		} //end case
		default: //bot carrying the red flag, so don't go back
		{
			return 0;
		} //end default
	} //end switch
} //end weight

weight "team_CTF_blueflag" //Blue Flag
{
	switch(INVENTORY_BLUEFLAG)
	{
		case 1: //not carrying the blue flag
		{
			switch(INVENTORY_REDFLAG)
			{
				case 1: //not carrying the red flag
				{
					return FLAG_WEIGHT;
				} //end case
				default: //bot is carrying the red flag so go back to the base
				{
					return 200;
				} //end case
			} //end switch
		} //end case
		default: //bot is carrying the blue flag, so don't go back
		{
			return 0;
		} //end default
	} //end switch
} //end weight

weight "holdable_detpack"
{
	switch(INVENTORY_MEDKIT)
	{
		case 1://not carrying medkit
		{
			switch(INVENTORY_TRANSPORTER)
			{
				case 1://not carrying transporter
				{
					switch(INVENTORY_SHIELD)
					{
						case 1://not carrying shield
						{
							switch(INVENTORY_DETPACK)
							{
								case 1:
								{
									#ifndef W_DETPACK
									#define W_DETPACK 50
									#endif
									 return POWERUP_SCALE(W_DETPACK);
								}
								default: return 0; //already has a detpack
							} //end switch
						}//end case
						default: return 0; //already has a shield
					} //end switch
				}//end case
				default: return 0; //already has a personal teleporter
			} //end switch
		} //end case
		default: return 0; //already has a medkit
	} //end switch
}

weight "item_seeker"
{
	#ifndef W_SEEKER
	#define W_SEEKER 100
	#endif
	return POWERUP_SCALE(W_SEEKER);
}

weight "holdable_shield"
{
	switch(INVENTORY_MEDKIT)
	{
		case 1://not carrying medkit
		{
			switch(INVENTORY_TRANSPORTER)
			{
				case 1://not carrying transporter
				{
					switch(INVENTORY_DETPACK)
					{
						case 1://not carrying detpack
						{
							switch(INVENTORY_SHIELD)
							{
								case 1:
								{
									#ifndef W_SHIELD
									#define W_SHIELD 100
									#endif
									 return POWERUP_SCALE(W_SHIELD);
								}
								default: return 0; //already has a shield
							} //end switch
						}//end case
						default: return 0; //already has a detpack
					} //end switch
				}//end case
				default: return 0; //already has a personal teleporter
			} //end switch
		} //end case
		default: return 0; //already has a medkit
	} //end
}


//=============================================
// bot roam goal
//=============================================

weight "item_botroam"
{
	return 1;
} //end weight


