//===========================================================================
//
// Name:			items.c
// Function:		item configuration
// Programmer:		Mr Elusive
// Last update:		1999-12-28
// Tab Size:		4 (real tabs)
//===========================================================================

#include "inv.h"

#define ITEM_NONE					0
#define ITEM_AMMO					1
#define ITEM_WEAPON					2
#define ITEM_HEALTH					3
#define ITEM_ARMOR					4
#define ITEM_POWERUP				5
#define ITEM_KEY					6
#define ITEM_FLAG					7
#define ITEM_ROAM					8

//===================================
// ARMOR
//===================================


iteminfo "item_armor_shard"
{
	name					"Incremental Shield Boost"
	model					"powerups/trek/armor_shard.md3"
	modelindex				MODELINDEX_ARMORSHARD
	type					ITEM_ARMOR
	index					INVENTORY_ARMOR
	respawntime			20
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "item_armor_combat"
{
	name					"Personal Deflector Screen"
	model					"models/powerups/trek/armor.md3"
	modelindex				MODELINDEX_ARMORCOMBAT
	type					ITEM_ARMOR
	index					INVENTORY_ARMOR
	respawntime			20
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo


iteminfo "item_armor_body"
{
	name					"Isokinetic Deflector Screen"
	model					"models/powerups/trek/armor2.md3"
	modelindex				MODELINDEX_ARMORBODY
	type					ITEM_ARMOR
	index					INVENTORY_ARMOR
	respawntime			20
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

//===================================
// HEALTH
//===================================

iteminfo "item_hypo_small"
{
	name					"Booster Hypospray"
	model					"models/powerups/trek/hypo_single.md3"
	modelindex				MODELINDEX_HEALTHSMALL
	type					ITEM_HEALTH
	index					INVENTORY_HEALTH
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "item_hypo"
{
	name					"Emergency Hypospray"
	model					"models/powerups/trek/hypo_double.md3"
	modelindex				MODELINDEX_HEALTH
	type					ITEM_HEALTH
	index					INVENTORY_HEALTH
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

//===================================
// WEAPONS
//===================================
//*
iteminfo "weapon_grenadelauncher"
{
	name					"Compound Grenade Launcher"
	model					"models/weapons2/launcher/launcher_w.md3"
	modelindex				MODELINDEX_GRENADELAUNCHER
	type					ITEM_WEAPON
	index					INVENTORY_GRENADELAUNCHER
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo*/

iteminfo "weapon_stasisweapon"
{
	name					"Stasis Weapon"
	model					"models/weapons2/stasis/stasis_w.md3"
	modelindex				MODELINDEX_STASISWEAPON
	type					ITEM_WEAPON
	index					INVENTORY_STASIS
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "weapon_phaser"
{
	name					"Phaser"
	model					"models/weapons2/phaser/phaser_w.md3"
	modelindex				MODELINDEX_PHASER
	type					ITEM_WEAPON
	index					INVENTORY_PHASER
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "weapon_dreadnought"
{
	name					"Arc Welder"
	model					"models/weapons2/arc_welder/arc_w.md2"
	modelindex				MODELINDEX_DREADNOUGHT
	type					ITEM_WEAPON
	index					INVENTORY_DREADNOUGHT
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "weapon_imod"
{
	name					"I-MOD"
	model					"models/weapons2/imod/imod_w.md3"
	modelindex				MODELINDEX_IMOD
	type					ITEM_WEAPON
	index					INVENTORY_IMOD
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "weapon_compressionrifle"
{
	name					"Phaser Compression Rifle"
	model					"models/weapons2/prifle/prifle_w.md3"
	modelindex				MODELINDEX_COMPRESSION
	type					ITEM_WEAPON
	index					INVENTORY_COMPRESSION
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "weapon_tetriondisruptor"
{
	name					"Tetryon Pulse Disruptor"
	model					"models/weapons2/tpd/tpd_w.md3"
	modelindex				MODELINDEX_TETRION
	type					ITEM_WEAPON
	index					INVENTORY_TETRION
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "weapon_scavenger"
{
	name					"Scavenger Weapon"
	model					"models/weapons2/scavenger/scavenger_w.md3"
	modelindex				MODELINDEX_SCAVENGER
	type					ITEM_WEAPON
	index					INVENTORY_SCAVENGER
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "weapon_quantumburst"
{
	name					"Photon Burst"
	model					"models/weapons2/q_burst/q_burst_w.md3"
	modelindex				MODELINDEX_QUANTUM
	type					ITEM_WEAPON
	index					INVENTORY_QUANTUM
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo


//===================================
// AMMO
//===================================

iteminfo "ammo_grenades"
{
	name					"Compound Grenade Launcher Ammo"
	model					"models/powerups/trek/glauncher_ammo.md3"
	modelindex				MODELINDEX_GRENADES
	type					ITEM_AMMO
	index					INVENTORY_GRENADES
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "ammo_scavenger"
{
	name					"Scavenger Weapon Ammo"
	model					"models/powerups/trek/scavenger_ammo.md3"
	modelindex				MODELINDEX_SCAVAMMO
	type					ITEM_AMMO
	index					INVENTORY_SCAVENGERAMMO
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "ammo_quantumburst"
{
	name					"Photon Burst Ammo"
	model					"models/powerups/trek/torpedo.md3"
	modelindex				MODELINDEX_QUANTUMAMMO
	type					ITEM_AMMO
	index					INVENTORY_QUANTUMAMMO
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "ammo_dreadnought"
{
	name					"Arc Welder Ammo"
	model					"models/powerups/trek/arc_ammo.md3"
	modelindex				MODELINDEX_DREADNOUGHTAMMO
	type					ITEM_AMMO
	index					INVENTORY_DREADNOUGHTAMMO
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "ammo_stasis"
{
	name					"Stasis Weapon Ammo"
	model					"models/powerups/trek/stasis_ammo.md3"
	modelindex				MODELINDEX_STASISAMMO
	type					ITEM_AMMO
	index					INVENTORY_STASISAMMO
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "ammo_imod"
{
	name					"I-MOD Ammo"
	model					"models/powerups/trek/imod_ammo.dm3"
	modelindex				MODELINDEX_IMODAMMO
	type					ITEM_AMMO
	index					INVENTORY_IMODAMMO
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "ammo_compressionrifle"
{
	name					"Phaser Compression Rifle Ammo"
	model					"models/powerups/trek/prifle_ammo.md3"
	modelindex				MODELINDEX_COMPRESSIONAMMO
	type					ITEM_AMMO
	index					INVENTORY_COMPRESSIONAMMO
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "ammo_tetriondisruptor"
{
	name					"Tetryon Pulse Disruptor Ammo"
	model					"models/powerups/trek/tetrion_ammo.md3"
	modelindex				MODELINDEX_TETRIONAMMO
	type					ITEM_AMMO
	index					INVENTORY_TETRIONAMMO
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

//===================================
// POWERUPS
//===================================
//!!!
//must match bg_misc item and cg_main media 
//!!!
iteminfo "holdable_transporter"
{
	name					"Personal Transporter Device"
	model					"models/powerups/trek/transporter.md3"
	modelindex				MODELINDEX_TELEPORTER
	type					ITEM_POWERUP
	index					INVENTORY_TRANSPORTER
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "holdable_medkit"
{
	name					"Portable Medkit"
	model					"models/powerups/trek/med_kit.md3"
	modelindex				MODELINDEX_MEDKIT
	type					ITEM_HEALTH
	index					INVENTORY_MEDKIT
	respawntime			30
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "holdable_detpack"
{
	name					"Ultritium Explosive Charge"
	model					"models/powerups/trek/detpak.md3"
	modelindex				MODELINDEX_DETPACK
	type					ITEM_POWERUP
	index					INVENTORY_DETPACK
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo


iteminfo "holdable_shield"
{
	name					"Portable Force Field"
	model					"models/mapobjects/forge/capsule.md3"
	modelindex				MODELINDEX_SHIELD
	type					ITEM_POWERUP
	index					INVENTORY_SHIELD
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "item_seeker"
{
	name					"Seeker Drone"
	model					"models/powerups/trek/flyer.md3"
	modelindex				MODELINDEX_SEEKER
	type					ITEM_POWERUP
	index					INVENTORY_SEEKER
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "item_quad"
{
	name					"Quantum Weapon Enhancer"
	model					"models/powerups/trek/quad_damage.md3"
	modelindex				MODELINDEX_QUAD
	type					ITEM_POWERUP
	index					INVENTORY_QUAD
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "item_enviro"
{
	name					"Metaphasic Shielding"
	model					"models/powerups/trek/armor3.md3"
	modelindex				MODELINDEX_ENVIRONMENTSUIT
	type					ITEM_POWERUP
	index					INVENTORY_ENVIRONMENTSUIT
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "item_haste"
{
	name					"Temporal Accelerator"
	model					"models/powerups/trek/haste.md3"
	modelindex				MODELINDEX_HASTE
	type					ITEM_POWERUP
	index					INVENTORY_HASTE
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "item_invisibility"
{
	name					"Personal Cloaking Device"
	model					"models/powerups/trek/invisible.md3"
	modelindex				MODELINDEX_INVISIBILITY
	type					ITEM_POWERUP
	index					INVENTORY_INVISIBILITY
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "item_regen"
{
	name					"Nano-Regenerative Protoplasmer"
	model					"models/powerups/trek/regen.md3"
	modelindex				MODELINDEX_REGEN
	type					ITEM_POWERUP
	index					INVENTORY_REGEN
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "item_flight"
{
	name					"Anti-Gravity Pack"
	model					"models/powerups/trek/flight.md3"
	modelindex				MODELINDEX_FLIGHT
	type					ITEM_POWERUP
	index					INVENTORY_FLIGHT
	respawntime			60
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo


//===================================
// CTF flags
//===================================

iteminfo "team_CTF_redflag"
{
	name					"Red Flag"
	model					"models/flags/flag_red.md3" //must match bg_misc item and cg_main media 
	modelindex				MODELINDEX_REDFLAG
	type					ITEM_FLAG
	index					INVENTORY_REDFLAG
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

iteminfo "team_CTF_blueflag"
{
	name					"Blue Flag"
	model					"models/flags/flag_blue.md3" //must match bg_misc item and cg_main media 
	modelindex				MODELINDEX_BLUEFLAG
	type					ITEM_FLAG
	index					INVENTORY_BLUEFLAG
	mins					{-15,-15,-15}
	maxs					{15,15,15}
} //end iteminfo

//===================================
// bot roam item
//===================================

iteminfo "item_botroam"
{
	name					"Bot Roam Goal"
	model					""
	modelindex				0
	type					ITEM_ROAM
	index					0
	mins					{-15,-15,-15}
	maxs					{15,15,15}
}


