//===========================================================================
//
// Name:			weapons.c
// Function:		weapon configuration
// Programmer:		
// Last update:	
// Tab Size:		4 (real tabs)
//===========================================================================
// TWEAKME

#include "inv.h"

#define VEC_ORIGIN						{0, 0, 0}
//projectile flags
#define PFL_WINDOWDAMAGE			1		//projectile damages through window
#define PFL_RETURN					2		//set when projectile returns to owner
//weapon flags
#define WFL_FIRERELEASED			1		//set when projectile is fired with key-up event
//damage types
#define DAMAGETYPE_IMPACT			1		//damage on impact
#define DAMAGETYPE_RADIAL			2		//radial damage
#define DAMAGETYPE_VISIBLE			4		//damage to all entities visible to the projectile
#define DAMAGETYPE_IGNOREARMOR	8		//projectile goes right through armor

// Note:  VERY IMPORTANT!  These WEAPONINDEX_BLAH defines MUST correspond exactly to the WP_BLAH
// enum in the code.  This little undocumented feature cost us many programmer-hours of work.
// Thanks Mr. Elusive and id. ad infinitum hax0r


#define WEAPONINDEX_PHASER				1
#define WEAPONINDEX_COMPRESSION			2
#define WEAPONINDEX_IMOD				3
#define WEAPONINDEX_SCAVENGER			4
#define WEAPONINDEX_STASIS				5
#define WEAPONINDEX_GRENADELAUNCHER		6
#define WEAPONINDEX_TETRION				7
#define WEAPONINDEX_QUANTUM				8
#define WEAPONINDEX_DREADNOUGHT			9	// switched as per um...  thing

#define WEAPONINDEX_PHASER_ALT				11
#define WEAPONINDEX_COMPRESSION_ALT			12
#define WEAPONINDEX_IMOD_ALT				13
#define WEAPONINDEX_SCAVENGER_ALT			14
#define WEAPONINDEX_STASIS_ALT				15
#define WEAPONINDEX_GRENADELAUNCHER_ALT		16
#define WEAPONINDEX_TETRION_ALT				17
#define WEAPONINDEX_QUANTUM_ALT				18
#define WEAPONINDEX_DREADNOUGHT_ALT			19


//===========================================================================
// Grenade Launcher
//===========================================================================

projectileinfo //for Grenade Launcher
{
	name				"grenade"
	damage				75
	radius				160
	damagetype			$evalint(DAMAGETYPE_IMPACT|DAMAGETYPE_RADIAL)
}

weaponinfo //Grenade Launcher
{
	name				"Compound Grenade Launcher"
	number				WEAPONINDEX_GRENADELAUNCHER
	projectile			"grenade"
	numprojectiles		1
	speed				1000
} //end weaponinfo

//===========================================================================
// Phaser
//===========================================================================

projectileinfo //for Phaser
{
	name				"phaserbeam"
	damage				6
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //Phaser	
{
	name				"Phaser"
	number				WEAPONINDEX_PHASER
	projectile			"phaserbeam"
	numprojectiles		1
	speed				0
} //end weaponinfo

//===========================================================================
// I-MOD
//===========================================================================

projectileinfo //for I-Mod
{
	name				"imodbeam"
	damage				20
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //I-Mod
{
	name				"I-MOD"
	number				WEAPONINDEX_IMOD
	projectile			"imodbeam"
	numprojectiles		1
	speed				0
} //end weaponinfo

//===========================================================================
// Dreadnought
//===========================================================================

projectileinfo //for Dreadnought
{
	name				"dreadnoughtproj"
	damage				8
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //Dreadnought
{
	name				"Arc Welder"
	number				WEAPONINDEX_DREADNOUGHT
	projectile			"dreadnoughtproj"
	numprojectiles		2
	speed				0
} //end weaponinfo

//===========================================================================
// Stasis
//===========================================================================

projectileinfo //for Stasis
{
	name				"stasisproj"
	damage				27
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //Stasis Rifle
{
	name				"Stasis Weapon"
	number				WEAPONINDEX_STASIS
	projectile			"stasisproj"
	numprojectiles		3
	speed				1050
} //end weaponinfo

//===========================================================================
// Compression
//===========================================================================

projectileinfo //for Compression
{
	name				"compressionproj"
	damage				16
	radius				64
	damagetype			$evalint(DAMAGETYPE_IMPACT|DAMAGETYPE_RADIAL)
}

weaponinfo //Compression
{
	name				"Phaser Compression Rifle"
	number				WEAPONINDEX_COMPRESSION
	projectile			"compressionproj"
	numprojectiles		1
	speed				0
} //end weaponinfo

//===========================================================================
// Scavenger
//===========================================================================

projectileinfo //for Scavenger
{
	name				"scavengerproj"
	damage				8
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //Scavenger
{
	name				"Scavenger Weapon"
	number				WEAPONINDEX_SCAVENGER
	projectile			"scavengerproj"
	numprojectiles		1
	speed				1000
} //end weaponinfo

//===========================================================================
// Tetrion
//===========================================================================

projectileinfo //for Tetrion
{
	name				"tetrionproj"
	damage				4
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //Tetrion Disruptor
{
	name				"Tetryon Pulse Disruptor"
	number				WEAPONINDEX_TETRION
	projectile			"tetrionproj"
	numprojectiles		3
	speed				0
} //end weaponinfo

//===========================================================================
// Quantum
//===========================================================================

projectileinfo //for Quantum
{
	name				"quantumproj"
	damage				140
	radius				160
	damagetype			$evalint(DAMAGETYPE_IMPACT|DAMAGETYPE_RADIAL)
}

weaponinfo //Quantum
{
	name				"Photon Burst"
	number				WEAPONINDEX_QUANTUM
	projectile			"quantumproj"
	numprojectiles		1
	speed				1100
} //end weaponinfo

//===========================================================================
// Grenade Launcher Alt
//===========================================================================

projectileinfo //for Grenade Launcher Alt
{
	name				"grenadealt"
	damage				64
	radius				160
	damagetype			$evalint(DAMAGETYPE_IMPACT|DAMAGETYPE_RADIAL)
}

weaponinfo //Grenade Launcher
{
	name				"Compound Grenade Launcher Alt"
	number				WEAPONINDEX_GRENADELAUNCHER_ALT
	projectile			"grenadealt"
	numprojectiles		1
	speed				1200
} //end weaponinfo

//===========================================================================
// Phaser Alt
//===========================================================================

projectileinfo //for Phaser Alt
{
	name				"phaserbeamalt"
	damage				6
	damagetype			$evalint(DAMAGETYPE_IMPACT|DAMAGETYPE_RADIAL)
}

weaponinfo //Phaser	
{
	name				"Phaser Alt"
	number				WEAPONINDEX_PHASER_ALT
	projectile			"phaserbeamalt"
	numprojectiles		1
	speed				0
} //end weaponinfo

//===========================================================================
// I-MOD Alt
//===========================================================================

projectileinfo //for I-Mod Alt
{
	name				"imodbeamalt"
	damage				48
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //I-Mod
{
	name				"I-MOD Alt"
	number				WEAPONINDEX_IMOD_ALT
	projectile			"imodbeamalt"
	numprojectiles		1
	speed				0
} //end weaponinfo

//===========================================================================
// Dreadnought Alt
//===========================================================================

projectileinfo //for Dreadnought Alt
{
	name				"dreadnoughtprojalt"
	damage				35
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //Dreadnought
{
	name				"Arc Welder Alt"
	number				WEAPONINDEX_DREADNOUGHT_ALT
	projectile			"dreadnoughtprojalt"
	numprojectiles		1
	speed				0
} //end weaponinfo

//===========================================================================
// Stasis Alt
//===========================================================================

projectileinfo //for Stasis Alt
{
	name				"stasisprojalt"
	damage				24
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //Stasis Rifle
{
	name				"Stasis Weapon Alt"
	number				WEAPONINDEX_STASIS_ALT
	projectile			"stasisprojalt"
	numprojectiles		5
	speed				0
} //end weaponinfo

//===========================================================================
// Compression Alt
//===========================================================================

projectileinfo //for Compression Alt
{
	name				"compressionprojalt"
	damage				85
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //Compression
{
	name				"Phaser Compression Rifle Alt"
	number				WEAPONINDEX_COMPRESSION_ALT
	projectile			"compressionprojalt"
	numprojectiles		1
	speed				0
} //end weaponinfo

//===========================================================================
// Scavenger Alt
//===========================================================================

projectileinfo //for Scavenger
{
	name				"scavengerprojalt"
	damage				60
	radius				100
	damagetype			$evalint(DAMAGETYPE_IMPACT|DAMAGETYPE_RADIAL)
}

weaponinfo //Scavenger
{
	name				"Scavenger Weapon Alt"
	number				WEAPONINDEX_SCAVENGER_ALT
	projectile			"scavengerprojalt"
	numprojectiles		1
	speed				1000
} //end weaponinfo

//===========================================================================
// Tetrion Alt
//===========================================================================

projectileinfo //for Tetrion
{
	name				"tetrionprojalt"
	damage				17
	damagetype			DAMAGETYPE_IMPACT
}

weaponinfo //Tetrion Disruptor
{
	name				"Tetryon Pulse Disruptor Alt"
	number				WEAPONINDEX_TETRION_ALT
	projectile			"tetrionprojalt"
	numprojectiles		1
	speed				1500
} //end weaponinfo

//===========================================================================
// Quantum Alt
//===========================================================================

projectileinfo //for Quantum Alt
{
	name				"quantumprojalt"
	damage				140
	radius				80
	damagetype			$evalint(DAMAGETYPE_IMPACT|DAMAGETYPE_RADIAL)
}

weaponinfo //Quantum
{
	name				"Photon Burst Alt"
	number				WEAPONINDEX_QUANTUM_ALT
	projectile			"quantumprojalt"
	numprojectiles		1
	speed				550
} //end weaponinfo

